package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zsy
 * @description:信赖他人量表
 * @date 2021/7/20 15:55
 */
public class FPSScale extends BaseScale{

    public FPSScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //得分
        int score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("scoreDirection").equals("1")) {
                if (i == 0){
                    if (jsonObject1.getString("checkItems").equals("与人交往时必须小心")) {
                        score += 1;
                    }
                }else if (i == 1){
                    if (jsonObject1.getString("checkItems").equals("只喜欢照顾自己")) {
                        score += 1;
                    }
                }else {
                    if (jsonObject1.getString("checkItems").equals("不同意")) {
                        score += 1;
                    }
                }
            } else {
                if (i == 0){
                    if (jsonObject1.getString("checkItems").equals("多数人值得信任")) {
                        score += 1;
                    }
                }else if (i == 1){
                    if (jsonObject1.getString("checkItems").equals("喜欢帮助别人")) {
                        score += 1;
                    }
                }else {
                    if (jsonObject1.getString("checkItems").equals("同意")) {
                        score += 1;
                    }
                }
            }
        }
        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        List<Map<String,String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList",resultMapList);
        returnJson.put("scaleName",Constant.SHEET_NAME_FPS);
        returnJson.put("resultJson",resultJson);

        return returnJson;
    }
}
